

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.16.3. window_record_number &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.16.4. window_sum" href="window_sum.html" />
    <link rel="prev" title="7.16.2. window_count" href="window_count.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/window_functions/window_record_number.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="window_sum.html" title="7.16.4. window_sum"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="window_count.html" title="7.16.2. window_count"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../window_function.html" accesskey="U"><span class="section-number">7.16. </span>ウィンドウ関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.16.3. </span><code class="docutils literal notranslate"><span class="pre">window_record_number</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="window-record-number">
<h1><span class="section-number">7.16.3. </span><code class="docutils literal notranslate"><span class="pre">window_record_number</span></code><a class="headerlink" href="#window-record-number" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.16.3.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 7.0.0 で追加.</span></p>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.16.3.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>window_record_number()
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.16.3.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.16.3.4. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.16.3. <code class="docutils literal notranslate"><span class="pre">window_record_number</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.16.3.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.16.3.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.16.3.3. 使い方</a></li>
<li><a class="reference internal" href="#return-value">7.16.3.4. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="window_count.html"
                        title="前の章へ"><span class="section-number">7.16.2. </span><code class="docutils literal notranslate"><span class="pre">window_count</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="window_sum.html"
                        title="次の章へ"><span class="section-number">7.16.4. </span><code class="docutils literal notranslate"><span class="pre">window_sum</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="window_sum.html" title="7.16.4. window_sum"
             >次へ</a> |</li>
        <li class="right" >
          <a href="window_count.html" title="7.16.2. window_count"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../window_function.html" ><span class="section-number">7.16. </span>ウィンドウ関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.16.3. </span><code class="docutils literal notranslate"><span class="pre">window_record_number</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>